package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFFM2 extends MwfRequest<MWFFM2, MWFFM2Response> {

    @Parameter(name = "ACTUAL_DATE")
    MWFFM2 actualDate(java.util.Date actualDate);
    @Parameter(name = "APP_ID")
    MWFFM2 appId(String appId);
    @Parameter(name = "APP_KEY")
    MWFFM2 appKey(Long appKey);
    @Parameter(name = "FEE_PLAN_TYPE")
    MWFFM2 feePlanType(String feePlanType);
}
